<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Class CreateVzdelavaniePouzivatelTestovanieOtazkyTable
 */
return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vzdelavanie_pouzivatel_testovanie_otazky', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('pouzivatel_testovanie_test_id');

            $table->longText('znenie');
            $table->string('druh');

            $table->foreign('pouzivatel_testovanie_test_id')->references('id')->on('vzdelavanie_pouzivatel_testovanie_testy')->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vzdelavanie_pouzivatel_testovanie_otazky');
    }
};
